{
    "path": "$OET_PATH/testcases/function_test/pkg_test/appstream/appstream",
    "machine num": 1,
    "cases": [
        {
            "name": "test_appstream_appstreamcli_refresh_cache",
            "desc": "测试 appstreamcli 的 refresh-cache 子命令功能"
        },
        {
            "name": "test_appstream_appstreamcli_validate_tree",
            "desc": "测试 appstreamcli 的 validate-tree 子命令功能"
        },
        {
            "name": "test_appstream_function_metadata",
            "desc": "测试 appstream 元数据解析功能是否正常"
        },
        {
            "name": "test_appstream_appstreamcli_search_upper_help",
            "desc": "测试search子命令的帮助信息"
        },
        {
            "name": "test_appstream_appstreamcli_dump_upper_help",
            "desc": "测试dump子命令的帮助信息"
        },
        {
            "name": "test_appstream_appstreamcli_sysinfo_upper_help",
            "desc": "测试sysinfo子命令的帮助信息"
        },
        {
            "name": "test_appstream_function_remove",
            "desc": "测试通过包管理器卸载appstream"
        },
        {
            "name": "test_appstream_appstreamcli_no_color",
            "desc": "测试禁用彩色输出的选项 --no-color 的功能"
        },
        {
            "name": "test_appstream_appstreamcli_check_license",
            "desc": "测试使用 check-license 子命令检查许可证字符串有效性并打印详细信息的功能"
        },
        {
            "name": "test_appstream_function_install",
            "desc": "测试通过包管理器安装appstream软件包"
        },
        {
            "name": "test_appstream_function_check",
            "desc": "测试检查appstream软件包是否已安装"
        }
    ]
}